package com.xmomen.module.base.entity.mapper;

import com.xmomen.framework.mybatis.mapper.MybatisMapper;
import com.xmomen.module.base.entity.CdCategory;
import com.xmomen.module.base.entity.CdCategoryExample;
import org.apache.ibatis.annotations.Param;

// 定义一个接口，继承MybatisMapper
public interface CdCategoryMapper extends MybatisMapper {
    // 根据条件统计记录数
    int countByExample(CdCategoryExample example);

    // 根据条件删除记录
    int deleteByExample(CdCategoryExample example);

    // 插入记录
    int insertSelective(CdCategory record);

    // 根据条件更新记录
    int updateByExampleSelective(@Param("record") CdCategory record, @Param("example") CdCategoryExample example);
}